## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csZRotMatrix3 Class Reference
[Geometry utilities]

An instance of csMatrix3 that is initialized as a rotation about Z. More...

`#include <csgeom/matrix3.h>`

Inheritance diagram for csZRotMatrix3:

[legend]
List of all members.

## Public Member Functions

| csZRotMatrix3 (float angle)
| Return a rotation matrix around the Z axis.

## Detailed Description

An instance of csMatrix3 that is initialized as a rotation about Z.

Definition at line 234 of file matrix3.h.

## Constructor & Destructor Documentation

csZRotMatrix3::csZRotMatrix3 | ( | float | angle | ) |

Return a rotation matrix around the Z axis.

'angle' is given in radians. Looking along the Z axis with X pointing to the right and Y pointing up a rotation of PI/2 will rotate 90 degrees in anti-clockwise direction (i.e. 1,0,0 -> 0,1,0).

The documentation for this class was generated from the following file:

- csgeom/matrix3.h